ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alejandro Fernandez (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-13001) Stop-and-Start Upgrade: Bootstrap HDP 2.1 repo, cluster_version, and host_versions as CURRENT after upgrading Ambari
Date Wed, 09 Sep 2015 23:37:46 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-13001?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Alejandro Fernandez updated AMBARI-13001:
-----------------------------------------
    External issue URL: https://issues.apache.org/jira/browse/AMBARI-13001
     External issue ID: AMBARI-13001

> Stop-and-Start Upgrade: Bootstrap HDP 2.1 repo, cluster_version, and host_versions as
CURRENT after upgrading Ambari
> --------------------------------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-13001
>                 URL: https://issues.apache.org/jira/browse/AMBARI-13001
>             Project: Ambari
>          Issue Type: Story
>          Components: ambari-server
>    Affects Versions: 2.2.0
>            Reporter: Alejandro Fernandez
>            Assignee: Alejandro Fernandez
>             Fix For: 2.2.0
>
>         Attachments: AMBARI-13001.patch
>
>
> In Ambari 2.1, if the stack is HDP 2.1, the user does not even see a Stacks and Versions
page.
> The Ambari upgrade will have to bootstrap the versions by
> * Inserting repo_vesion for HDP 2.1
> * Inserting cluster_vesion as CURRENT
> * Inserting host_versions as CURRENT
> This will then allow clicking on the "Perform Upgrade" button to call the Upgrades endpoint
correctly, which needs to know the source version in order to calculate the upgrade pack and
configs to use.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message